GreatWksTextInternal::Token Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
GreatWksTextInternal::Token Struct Reference

Internal and low level: structure which stores a token for GreatWksText. More...

## Public Member Functions
| Token ()
| constructor More...
std::string | getDTFormat () const
| returns a field format More...
bool | sendTo (MWAWListener &listener) const
| try to send the token to the listener More...

## Public Attributes
int | m_type
| the token type More...
int | m_format
| the token format More...
MWAWEntry | m_pictEntry
| the picture entry More...
long | m_dataSize
| the picture data size More...
MWAWVec2f | m_dim
| the picture dimension More...
uint32_t | m_date
| the token date (0xFFFFFFFF means actual date) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tkn)
| operator<< More...

## Detailed Description

Internal and low level: structure which stores a token for GreatWksText.

## Constructor & Destructor Documentation

## ◆ Token()

GreatWksTextInternal::Token::Token | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getDTFormat()

std::string GreatWksTextInternal::Token::getDTFormat | ( |  | ) | const

returns a field format

Referenced by GreatWksTextInternal::operator<<(), and sendTo().

## ◆ sendTo()

bool GreatWksTextInternal::Token::sendTo | ( | MWAWListener & | listener | ) | const

try to send the token to the listener

Referenced by GreatWksText::sendZone().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tkn
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_dataSize

long GreatWksTextInternal::Token::m_dataSize

the picture data size

Referenced by GreatWksTextInternal::operator<<(), and GreatWksText::readToken().

## ◆ m_date

uint32_t GreatWksTextInternal::Token::m_date

the token date (0xFFFFFFFF means actual date)

Referenced by GreatWksTextInternal::operator<<(), and GreatWksText::readToken().

## ◆ m_dim

MWAWVec2f GreatWksTextInternal::Token::m_dim

the picture dimension

Referenced by GreatWksTextInternal::operator<<(), GreatWksText::readToken(), and GreatWksText::sendZone().

## ◆ m_extra

std::string GreatWksTextInternal::Token::m_extra

extra data

Referenced by GreatWksTextInternal::operator<<(), and GreatWksText::readToken().

## ◆ m_format

int GreatWksTextInternal::Token::m_format

the token format

Referenced by getDTFormat(), GreatWksTextInternal::operator<<(), GreatWksText::readToken(), and sendTo().

## ◆ m_pictEntry

MWAWEntry GreatWksTextInternal::Token::m_pictEntry

the picture entry

Referenced by GreatWksText::sendZone().

## ◆ m_type

int GreatWksTextInternal::Token::m_type

the token type

Referenced by getDTFormat(), GreatWksTextInternal::operator<<(), GreatWksText::readToken(), sendTo(), and GreatWksText::sendZone().

The documentation for this struct was generated from the following file:

- GreatWksText.cxx